Subject: Re: bug#77920: shepherd-1.0.4 not building on aarch64

From: Roman Scherer <[email-masked]>
Date: Sun, 20 Apr 2025 11:41:58 +0200

Hi Ludo,

I got it working by pulling a6c96cdb7060ccfc2d0fe27a45b9bcc9590aedd6 and
doing a system reconfigure. Looks like a substitute for that commit was
available.

Thanks for your help!

Roman

Ludovic Courtès <[email-masked]> writes:

> Hi Roman,
>
> Roman Scherer <[email-masked]> writes:
>
>> I can't build shepherd-1.0.4 on my aarch64 systems anymore locally nor
>> on my Cuirass server. The `tests/pid-file.sh` test is failing. I
>> attached the failing logs. The issues seems to be:
>>
>> ```
>> herd: error: exception caught while executing 'start' on service 'test':
>> In procedure delete-file: Read-only file system
>> ```
>
> This is due to <https://issues.guix.gnu.org/77570>.
>
> You need to pull and reconfigure to address it.
>
> If you cannot reconfigure precisely because you cannot build shepherd
> and don’t want to use substitutes, then you can do something like:
>
>   herd stop guix-daemon
>   /gnu/store/…-fixed-guix-…/bin/guix-daemon \
>      --build-users-group=guixbuild …
>
> (Run ‘herd status guix-daemon’ beforehand to view the exact command
> line.)
>
> HTH!
>
> Ludo’.